#!/bin/sh


makeAbsolute() {
    case $1 in
        /*)
            echo "$1"
            ;;
        *)
            echo `makeAbsolute "$2" "$PWD"`/"$1" | sed 's,/\.$,,'
            ;;
    esac
}


me=`which "$0"` 
if test -L "$me"; then
    nme=`readlink -nf "$me" 2>/dev/null`
    if test -n "$nme"; then
        me=$nme
    else
        base=`dirname "$me"`
        me=`ls -l "$me" | sed 's/^.*-> //'`
        me=`makeAbsolute "$me" "$base"`
    fi
fi


bindir=`dirname "$me"`
export LD_LIBRARY_PATH=$bindir/lib
exec "$bindir/hwthrvop"
